﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "NewFollowTargetModule", menuName = "ARitize/FollowTargetModule", order = 1)]
public class FollowTargetModule : ExperienceModule
{
    [Header("What follows what")]
    public string targetName = "[user]";
    public string followerName = "[root]";
    public Orientation followOrientation;
    public float followDistance;
    public SpeedMode speedMode;

    [Header("If using Constant speed:")]
    public float followSpeed = 10f;
    public float acceleration = 0.1f;

    [Header("If using Relative speed:")]
    [Range(0.001f,1f)]
    public float followSmoothFactor = 0.01f;
    

    public enum Orientation
    {
        Flying,
        HorizontalOnly
    }

    public enum SpeedMode
    {
        Constant,
        Relative
    }

}
