﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
[CreateAssetMenu(fileName = "NewQualitySettingsModule", menuName = "ARitize/QualitySettingsModule", order = 1)]
public class QualitySettingsARModule : ExperienceModule
{
    [Header("QualitySettings")]
    public AntiAliasing antiAliasing = AntiAliasing.Disabled;
    [Range(1, 8)]
    public int pixelLightCount = 1;
    public ShadowResolution shadowResolution = ShadowResolution.Low;
    [Range(0, 100)]
    public int shadowDistance = 100;
    [Range(0, 10)]
    public int shadowNearPlaneOffset = 3;
    public ShadowProjection shadowProjection = ShadowProjection.StableFit;

    public enum AntiAliasing {
        Disabled        = 0,
        Multisampling2x = 2,
        Multisampling4x = 4,
        Multisampling8x = 8
    }

    
}
