// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Nextech/Hologram"
{
	Properties
	{
		_MainTex("MainTex", 2D) = "white" {}
		_Android("Android", Float) = 2
		_Alpha("Alpha", Range( 0 , 1)) = 1
		_Threshold("Threshold", Range( 0 , 1)) = 0.5
		_GreenReduction("Green Reduction", Range( 0 , 1)) = 0.8
		_Contrast("Contrast", Range( 0 , 2)) = 1
		_Brightness("Brightness", Range( 0 , 2)) = 1
		_Dissolve("Dissolve", Range( 0 , 1)) = 1
		_DissolveMask("Dissolve Mask", 2D) = "white" {}
		_Cutoff( "Mask Clip Value", Float ) = 0.5
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Transparent"  "Queue" = "AlphaTest+550" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull Off
		Blend SrcAlpha OneMinusSrcAlpha
		
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "Lighting.cginc"
		#pragma target 3.0
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform float _Android;
		uniform float _Brightness;
		uniform float _Contrast;
		uniform sampler2D _MainTex;
		uniform float _GreenReduction;
		uniform float _Alpha;
		uniform float _Threshold;
		uniform float _Dissolve;
		uniform sampler2D _DissolveMask;
		uniform float4 _DissolveMask_ST;
		uniform float _Cutoff = 0.5;


		float ASEAnd( float A, float B )
		{
			float result = A && B;
			return result;
		}


		float ASEOr( float A, float B )
		{
			float result = A || B;
			return result;
		}


		inline half4 LightingUnlit( SurfaceOutput s, half3 lightDir, half atten )
		{
			return half4 ( 0, 0, 0, s.Alpha );
		}

		void surf( Input i , inout SurfaceOutput o )
		{
			float AndroidTest156 = _Android;
			float cos127 = cos( radians( 180.0 ) );
			float sin127 = sin( radians( 180.0 ) );
			float2 rotator127 = mul( i.uv_texcoord - float2( 0.5,0.5 ) , float2x2( cos127 , -sin127 , sin127 , cos127 )) + float2( 0.5,0.5 );
			float2 ifLocalVar168 = 0;
			if( AndroidTest156 == 0.0 )
				ifLocalVar168 = rotator127;
			else
				ifLocalVar168 = i.uv_texcoord;
			float2 UVOrientation134 = ifLocalVar168;
			float4 MainTex38 = tex2D( _MainTex, UVOrientation134 );
			float4 break65 = MainTex38;
			float A1_g9 =  ( break65.g - 0.0 > break65.r ? 1.0 : break65.g - 0.0 <= break65.r && break65.g + 0.0 >= break65.r ? 0.0 : 0.0 ) ;
			float B1_g9 =  ( abs( ( break65.g - break65.b ) ) - 0.0 > _GreenReduction ? 0.0 : abs( ( break65.g - break65.b ) ) - 0.0 <= _GreenReduction && abs( ( break65.g - break65.b ) ) + 0.0 >= _GreenReduction ? 0.0 : 1.0 ) ;
			float localASEAnd1_g9 = ASEAnd( A1_g9 , B1_g9 );
			float isGreenPixel86 = localASEAnd1_g9;
			float4 break96 = MainTex38;
			float4 appendResult83 = (float4(break96.r , ( ( break96.r + break96.b ) / 2.0 ) , break96.b , break96.a));
			float4 ColorTinted94 = appendResult83;
			float4 MainTexTinted104 =  ( isGreenPixel86 - 0.0 > 1.0 ? MainTex38 : isGreenPixel86 - 0.0 <= 1.0 && isGreenPixel86 + 0.0 >= 1.0 ? ColorTinted94 : MainTex38 ) ;
			float3 temp_output_10_0_g16 = ( float3(1,1,1) * 0.5 );
			float3 temp_output_35_0 = ( ( _Brightness - 1.0 ) + ( ( max( _Contrast , 0.0 ) * ( MainTexTinted104.rgb - temp_output_10_0_g16 ) ) + temp_output_10_0_g16 ) );
			float3 ifLocalVar167 = 0;
			if( AndroidTest156 == 1.0 )
				ifLocalVar167 = pow( temp_output_35_0 , 2.2 );
			else
				ifLocalVar167 = temp_output_35_0;
			o.Emission = ifLocalVar167;
			float GlobalAlpha179 = _Alpha;
			float4 break146 = MainTex38;
			float A1_g14 =  ( break146.g - 0.0 > break146.r ? 1.0 : break146.g - 0.0 <= break146.r && break146.g + 0.0 >= break146.r ? 0.0 : 0.0 ) ;
			float B1_g14 =  ( break146.g - 0.0 > break146.b ? 1.0 : break146.g - 0.0 <= break146.b && break146.g + 0.0 >= break146.b ? 0.0 : 0.0 ) ;
			float localASEAnd1_g14 = ASEAnd( A1_g14 , B1_g14 );
			float A1_g15 = localASEAnd1_g14;
			float temp_output_154_0 = ( 1.0 - _Threshold );
			float A1_g13 =  ( ( break146.g - break146.r ) - 0.0 > temp_output_154_0 ? 1.0 : ( break146.g - break146.r ) - 0.0 <= temp_output_154_0 && ( break146.g - break146.r ) + 0.0 >= temp_output_154_0 ? 0.0 : 0.0 ) ;
			float B1_g13 =  ( ( break146.g - break146.b ) - 0.0 > temp_output_154_0 ? 1.0 : ( break146.g - break146.b ) - 0.0 <= temp_output_154_0 && ( break146.g - break146.b ) + 0.0 >= temp_output_154_0 ? 0.0 : 0.0 ) ;
			float localASEOr1_g13 = ASEOr( A1_g13 , B1_g13 );
			float B1_g15 = localASEOr1_g13;
			float localASEAnd1_g15 = ASEAnd( A1_g15 , B1_g15 );
			float ColorMask145 = ( 1.0 - localASEAnd1_g15 );
			o.Alpha = ( GlobalAlpha179 * ColorMask145 );
			float2 uv_DissolveMask = i.uv_texcoord * _DissolveMask_ST.xy + _DissolveMask_ST.zw;
			float Dissolve180 = ( (-0.6 + (_Dissolve - 0.0) * (0.6 - -0.6) / (1.0 - 0.0)) + abs( ( 1.0 - tex2D( _DissolveMask, uv_DissolveMask ).a ) ) );
			clip(  ( GlobalAlpha179 - 0.0 > 0.0 ? ( Dissolve180 * ColorMask145 ) : GlobalAlpha179 - 0.0 <= 0.0 && GlobalAlpha179 + 0.0 >= 0.0 ? 0.0 : 0.0 )  - _Cutoff );
		}

		ENDCG
		CGPROGRAM
		#pragma surface surf Unlit keepalpha fullforwardshadows 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 3.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			sampler3D _DitherMaskLOD;
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float3 worldPos : TEXCOORD2;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				o.worldPos = worldPos;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				float3 worldPos = IN.worldPos;
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				SurfaceOutput o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutput, o )
				surf( surfIN, o );
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				half alphaRef = tex3D( _DitherMaskLOD, float3( vpos.xy * 0.25, o.Alpha * 0.9375 ) ).a;
				clip( alphaRef - 0.01 );
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18900
1986;60;1519;1004;96.63086;142.9489;1;True;False
Node;AmplifyShaderEditor.CommentaryNode;136;377.7033,-1300.855;Inherit;False;999.041;662.3011;iOS Image Flip;9;127;128;129;130;126;132;134;165;168;;1,1,1,1;0;0
Node;AmplifyShaderEditor.RangedFloatNode;129;435.7034,-753.5539;Inherit;False;Constant;_Float1;Float 1;12;0;Create;True;0;0;0;False;0;False;180;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;155;-2166.329,-197.2042;Inherit;False;Property;_Android;Android;1;0;Create;True;0;0;0;False;0;False;2;2;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;156;-1968.995,-198.0204;Inherit;False;AndroidTest;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TextureCoordinatesNode;126;427.7034,-1040.554;Inherit;False;0;-1;2;3;2;SAMPLER2D;;False;0;FLOAT2;1,1;False;1;FLOAT2;0,0;False;5;FLOAT2;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RadiansOpNode;130;594.7034,-753.5539;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.Vector2Node;128;436.7034,-902.5536;Inherit;False;Constant;_Vector1;Vector 1;12;0;Create;True;0;0;0;False;0;False;0.5,0.5;0,0;0;3;FLOAT2;0;FLOAT;1;FLOAT;2
Node;AmplifyShaderEditor.RotatorNode;127;680.7032,-927.5536;Inherit;False;3;0;FLOAT2;0,0;False;1;FLOAT2;0,0;False;2;FLOAT;1;False;1;FLOAT2;0
Node;AmplifyShaderEditor.TextureCoordinatesNode;132;429.1057,-1250.855;Inherit;False;0;-1;2;3;2;SAMPLER2D;;False;0;FLOAT2;1,1;False;1;FLOAT2;0,0;False;5;FLOAT2;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;165;709.7007,-1247.954;Inherit;False;156;AndroidTest;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.ConditionalIfNode;168;953.7751,-999.4609;Inherit;False;False;5;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT2;0,0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;134;1132.744,-1004.545;Inherit;False;UVOrientation;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;135;-2468.443,-511.6895;Inherit;False;134;UVOrientation;1;0;OBJECT;;False;1;FLOAT2;0
Node;AmplifyShaderEditor.SamplerNode;1;-2247.048,-511.8282;Inherit;True;Property;_MainTex;MainTex;0;0;Create;True;0;0;0;False;0;False;-1;None;0e444bcf156561a43810d888a918dadb;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;8;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;6;FLOAT;0;False;7;SAMPLERSTATE;;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RegisterLocalVarNode;38;-1961.851,-507.6648;Inherit;False;MainTex;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.CommentaryNode;98;-1785.881,-1526.664;Inherit;False;1403.563;470.8503;Green Pixel Check;9;76;79;77;75;78;72;86;65;64;;1,1,1,1;0;0
Node;AmplifyShaderEditor.CommentaryNode;100;-1790.396,-1040.37;Inherit;False;1069.687;302.7159;Altered color with green created from red & blue values;6;96;97;92;93;83;94;;1,1,1,1;0;0
Node;AmplifyShaderEditor.GetLocalVarNode;64;-1735.881,-1476.664;Inherit;False;38;MainTex;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;97;-1740.396,-921.121;Inherit;False;38;MainTex;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.BreakToComponentsNode;65;-1532.059,-1472.197;Inherit;False;COLOR;1;0;COLOR;0,0,0,0;False;16;FLOAT;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4;FLOAT;5;FLOAT;6;FLOAT;7;FLOAT;8;FLOAT;9;FLOAT;10;FLOAT;11;FLOAT;12;FLOAT;13;FLOAT;14;FLOAT;15
Node;AmplifyShaderEditor.BreakToComponentsNode;96;-1536.573,-916.654;Inherit;False;COLOR;1;0;COLOR;0,0,0,0;False;16;FLOAT;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4;FLOAT;5;FLOAT;6;FLOAT;7;FLOAT;8;FLOAT;9;FLOAT;10;FLOAT;11;FLOAT;12;FLOAT;13;FLOAT;14;FLOAT;15
Node;AmplifyShaderEditor.SimpleSubtractOpNode;72;-1326.615,-1319.74;Inherit;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;76;-1321.517,-1215.988;Inherit;False;Property;_GreenReduction;Green Reduction;5;0;Create;True;0;0;0;False;0;False;0.8;0.39;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;92;-1378.962,-990.3701;Inherit;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.AbsOpNode;77;-1184.078,-1320.815;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;137;-2470.813,-42.23586;Inherit;False;1569.356;933.8584;Custom Color Mask;15;145;153;152;144;149;151;19;148;147;150;143;142;146;138;154;;1,1,1,1;0;0
Node;AmplifyShaderEditor.TFHCIf;79;-995.077,-1280.815;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;4;FLOAT;1;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleDivideOpNode;93;-1244.035,-990.3701;Inherit;False;2;0;FLOAT;0;False;1;FLOAT;2;False;1;FLOAT;0
Node;AmplifyShaderEditor.TFHCIf;78;-994.077,-1466.815;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;138;-2420.813,7.764097;Inherit;True;38;MainTex;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.BreakToComponentsNode;146;-2216.991,12.23102;Inherit;False;COLOR;1;0;COLOR;0,0,0,0;False;16;FLOAT;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4;FLOAT;5;FLOAT;6;FLOAT;7;FLOAT;8;FLOAT;9;FLOAT;10;FLOAT;11;FLOAT;12;FLOAT;13;FLOAT;14;FLOAT;15
Node;AmplifyShaderEditor.DynamicAppendNode;83;-1103.474,-918.32;Inherit;False;FLOAT4;4;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT4;0
Node;AmplifyShaderEditor.FunctionNode;75;-736.2161,-1464.741;Inherit;False;And;-1;;9;50f923f3b90822e47953386ea346e02f;0;2;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;19;-2313.327,568.8918;Inherit;False;Property;_Threshold;Threshold;4;0;Create;True;0;0;0;False;0;False;0.5;0.8;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;94;-963.709,-917.111;Inherit;False;ColorTinted;-1;True;1;0;FLOAT4;0,0,0,0;False;1;FLOAT4;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;86;-625.3176,-1465.996;Inherit;False;isGreenPixel;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;48;-812.9633,287.9041;Inherit;False;1201.18;596.1796;Dissolve;6;56;55;52;172;54;180;;1,1,1,1;0;0
Node;AmplifyShaderEditor.OneMinusNode;154;-2049.562,573.3856;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;148;-1968.51,662.2767;Inherit;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;105;-1670.604,-560.2366;Inherit;False;903.8673;270.1826;Apply Edge Tint;4;88;101;102;104;;1,1,1,1;0;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;147;-1971.141,464.4243;Inherit;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TFHCIf;142;-1794.136,-1.596936;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TFHCIf;151;-1785.445,652.6968;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;54;-757.3517,631.3736;Inherit;True;Property;_DissolveMask;Dissolve Mask;9;0;Create;True;0;0;0;False;0;False;-1;None;2bb16f7eeda3de7408f89d7da507f6e8;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;8;0;SAMPLER2D;0,0;False;1;FLOAT2;0,0;False;2;FLOAT;1;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;6;FLOAT;0;False;7;SAMPLERSTATE;;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.TFHCIf;143;-1796.437,187.0029;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;172;-430.108,601.4506;Inherit;False;303.9857;186.0703;Default guide requires flip (non destructive);2;170;169;;1,1,1,1;0;0
Node;AmplifyShaderEditor.GetLocalVarNode;88;-1415.4,-510.2366;Inherit;False;86;isGreenPixel;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;101;-1620.604,-405.0539;Inherit;False;38;MainTex;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.TFHCIf;150;-1786.935,466.9091;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;102;-1619.004,-478.4538;Inherit;False;94;ColorTinted;1;0;OBJECT;;False;1;FLOAT4;0
Node;AmplifyShaderEditor.RangedFloatNode;52;-625.4841,352.1624;Float;False;Property;_Dissolve;Dissolve;8;0;Create;True;0;0;0;False;0;False;1;1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;149;-1521.625,555.3928;Inherit;False;Or;-1;;13;dcfde22f80031984b87bcc46a052ad1f;0;2;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;169;-411.9625,707.9903;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TFHCIf;106;-1202.897,-504.0292;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;1;False;2;COLOR;0,0,0,0;False;3;FLOAT4;0,0,0,0;False;4;COLOR;0,0,0,0;False;5;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.FunctionNode;144;-1524.495,83.43191;Inherit;False;And;-1;;14;50f923f3b90822e47953386ea346e02f;0;2;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TFHCRemapNode;55;-253.937,357.2811;Inherit;False;5;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;-0.6;False;4;FLOAT;0.6;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;152;-1384.837,311.2859;Inherit;False;And;-1;;15;50f923f3b90822e47953386ea346e02f;0;2;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;104;-981.7362,-508.465;Inherit;False;MainTexTinted;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.CommentaryNode;108;-707.9,-565.0931;Inherit;False;1001.996;286.3083;Image Effects;6;39;107;36;37;35;34;;1,1,1,1;0;0
Node;AmplifyShaderEditor.AbsOpNode;170;-255.1925,644.5254;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;39;-657.9,-402.3457;Inherit;False;104;MainTexTinted;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.CommentaryNode;46;-798.8721,-50.97128;Inherit;False;749.5457;283.5262;Global Alpha;4;26;179;24;44;;1,1,1,1;0;0
Node;AmplifyShaderEditor.RangedFloatNode;36;-445.6878,-514.4211;Inherit;False;Property;_Contrast;Contrast;6;0;Create;True;0;0;0;False;0;False;1;1;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;37;-143.1013,-515.0931;Inherit;False;Property;_Brightness;Brightness;7;0;Create;True;0;0;0;False;0;False;1;1;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;56;-45.91553,354.5639;Inherit;True;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;153;-1282.396,310.9084;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;24;-748.8723,-0.9714239;Inherit;False;Property;_Alpha;Alpha;2;0;Create;True;0;0;0;False;0;False;1;1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;180;167.9099,349.2353;Inherit;False;Dissolve;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;185;417.8149,284.6689;Inherit;False;694.4519;452.5816;Smart Masking;5;174;181;173;183;184;;1,1,1,1;0;0
Node;AmplifyShaderEditor.FunctionNode;34;-394.0992,-411.7849;Inherit;False;Contrast;-1;;16;d786fe160d3eb494cae9bc5a21475f06;0;2;12;FLOAT;0;False;8;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;107;120.0967,-513.4447;Inherit;False;2;0;FLOAT;0;False;1;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;145;-1127.95,307.8321;Inherit;False;ColorMask;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;179;-462.4352,3.986913;Inherit;False;GlobalAlpha;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;35;31.35914,-423.3288;Inherit;False;Brightness;-1;;17;f968473a6869df249afaeab65e270d78;0;2;2;FLOAT;0;False;1;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;174;476.2256,622.2501;Inherit;False;145;ColorMask;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;181;481.4807,532.4158;Inherit;False;180;Dissolve;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;117;377.2523,-589.8354;Inherit;False;230;183;Android Color Adjustments;1;58;;1,1,1,1;0;0
Node;AmplifyShaderEditor.CommentaryNode;45;-813.8445,1821.813;Inherit;False;1568.867;448.5427;Color Mask;11;2;9;8;12;11;17;18;16;21;40;43;;1,1,1,1;0;0
Node;AmplifyShaderEditor.GetLocalVarNode;160;637.6891,-584.3848;Inherit;False;156;AndroidTest;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;44;-661.8886,94.67908;Inherit;False;145;ColorMask;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;173;690.8644,535.5046;Inherit;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;183;467.8149,334.6689;Inherit;False;179;GlobalAlpha;1;0;OBJECT;;False;1;FLOAT;0
Node;AmplifyShaderEditor.PowerNode;58;427.2523,-539.8354;Inherit;False;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;2.2;False;1;FLOAT3;0
Node;AmplifyShaderEditor.TFHCIf;16;104.0437,1967.351;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;8;-509.5555,1873.651;Inherit;False;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.OneMinusNode;21;335.9525,1966.938;Inherit;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ColorNode;2;-763.8445,1987.34;Inherit;False;Property;_MaskColor;Mask Color ;3;0;Create;True;0;0;0;False;0;False;0,1,0.1294118,1;0,1,0.1294113,1;True;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;26;-221.5884,6.957113;Inherit;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.NormalizeNode;11;-302.8557,1877.551;Inherit;False;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;40;-700.072,1871.813;Inherit;False;38;MainTex;1;0;OBJECT;;False;1;COLOR;0
Node;AmplifyShaderEditor.RangedFloatNode;18;-101.0548,2080.356;Inherit;False;Constant;_Distance;Distance;2;0;Create;True;0;0;0;False;0;False;1;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.DotProductOpNode;17;-80.84213,1971.868;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;9;-509.3557,1987.751;Inherit;False;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.TFHCIf;184;852.267,357.9508;Inherit;False;6;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ConditionalIfNode;167;847.1085,-513.7496;Inherit;False;False;5;0;FLOAT;0;False;1;FLOAT;1;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;43;512.0229,1962.525;Inherit;True;ColorMaskOld;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.NormalizeNode;12;-301.3556,1992.951;Inherit;False;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;23;1093.745,-288.3013;Float;False;True;-1;2;ASEMaterialInspector;0;0;Unlit;Nextech/Hologram;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Custom;0.5;True;True;550;True;Transparent;;AlphaTest;All;14;all;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;2;15;10;25;False;0.5;True;2;5;False;-1;10;False;-1;0;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;10;-1;-1;-1;0;False;0;0;False;-1;-1;0;False;-1;0;0;0;False;0.1;False;-1;0;False;-1;False;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;156;0;155;0
WireConnection;130;0;129;0
WireConnection;127;0;126;0
WireConnection;127;1;128;0
WireConnection;127;2;130;0
WireConnection;168;0;165;0
WireConnection;168;2;132;0
WireConnection;168;3;127;0
WireConnection;168;4;132;0
WireConnection;134;0;168;0
WireConnection;1;1;135;0
WireConnection;38;0;1;0
WireConnection;65;0;64;0
WireConnection;96;0;97;0
WireConnection;72;0;65;1
WireConnection;72;1;65;2
WireConnection;92;0;96;0
WireConnection;92;1;96;2
WireConnection;77;0;72;0
WireConnection;79;0;77;0
WireConnection;79;1;76;0
WireConnection;93;0;92;0
WireConnection;78;0;65;1
WireConnection;78;1;65;0
WireConnection;146;0;138;0
WireConnection;83;0;96;0
WireConnection;83;1;93;0
WireConnection;83;2;96;2
WireConnection;83;3;96;3
WireConnection;75;2;78;0
WireConnection;75;3;79;0
WireConnection;94;0;83;0
WireConnection;86;0;75;0
WireConnection;154;0;19;0
WireConnection;148;0;146;1
WireConnection;148;1;146;2
WireConnection;147;0;146;1
WireConnection;147;1;146;0
WireConnection;142;0;146;1
WireConnection;142;1;146;0
WireConnection;151;0;148;0
WireConnection;151;1;154;0
WireConnection;143;0;146;1
WireConnection;143;1;146;2
WireConnection;150;0;147;0
WireConnection;150;1;154;0
WireConnection;149;2;150;0
WireConnection;149;3;151;0
WireConnection;169;0;54;4
WireConnection;106;0;88;0
WireConnection;106;2;101;0
WireConnection;106;3;102;0
WireConnection;106;4;101;0
WireConnection;144;2;142;0
WireConnection;144;3;143;0
WireConnection;55;0;52;0
WireConnection;152;2;144;0
WireConnection;152;3;149;0
WireConnection;104;0;106;0
WireConnection;170;0;169;0
WireConnection;56;0;55;0
WireConnection;56;1;170;0
WireConnection;153;0;152;0
WireConnection;180;0;56;0
WireConnection;34;12;36;0
WireConnection;34;8;39;0
WireConnection;107;0;37;0
WireConnection;145;0;153;0
WireConnection;179;0;24;0
WireConnection;35;2;107;0
WireConnection;35;1;34;0
WireConnection;173;0;181;0
WireConnection;173;1;174;0
WireConnection;58;0;35;0
WireConnection;16;0;17;0
WireConnection;16;1;18;0
WireConnection;16;3;18;0
WireConnection;8;0;40;0
WireConnection;21;0;16;0
WireConnection;26;0;179;0
WireConnection;26;1;44;0
WireConnection;11;0;8;0
WireConnection;17;0;11;0
WireConnection;17;1;12;0
WireConnection;9;0;2;0
WireConnection;184;0;183;0
WireConnection;184;2;173;0
WireConnection;167;0;160;0
WireConnection;167;2;35;0
WireConnection;167;3;58;0
WireConnection;167;4;35;0
WireConnection;43;0;21;0
WireConnection;12;0;9;0
WireConnection;23;2;167;0
WireConnection;23;9;26;0
WireConnection;23;10;184;0
ASEEND*/
//CHKSM=F26B1BA6AE0929041A1A7C4E5113DAD2280B108B